
Infrastructure - Bug #7293

Metacat maps the decoded REST URL in the D1ResourceHandler
Status: Closed Start date: 2015-08-12

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

It can cause some issues when Metacat analyses the decoded REST URL. For example, this is an URL to get a package with the

"application/bigit" format and the "/" between the "application" and "bagit" was encoded:

https://mn-demo-6.test.dataone.org/knb/d1/mn/v2/package/application%2Fbagit/test.20152049387.2

Metacat decodes it first and get:

https://mn-demo-6.test.dataone.org/knb/d1/mn/v2/package/application/bagit/test.20152049387.2

Metacat thinks that the format type is "application" and the id is "bagit/test.20152049387.2"

So we should map first, then decode each part.

History

#1 - 2015-08-18 22:56 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

Modified the MN/CNResourceHandler and we need more extensive tests.

#2 - 2015-08-21 18:06 - Jing Tao

Andrei and I tested and don't see any issue.

#3 - 2015-08-21 18:06 - Jing Tao

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
